package com.geccocrawler.gecco.spider.render.json;

import net.sf.cglib.beans.BeanMap;

import com.geccocrawler.gecco.request.HttpRequest;
import com.geccocrawler.gecco.response.HttpResponse;
import com.geccocrawler.gecco.spider.SpiderBean;
import com.geccocrawler.gecco.spider.render.AbstractRender;
import com.geccocrawler.gecco.spider.render.CustomFieldRenderFactory;

/**
 * 将下载下来的json映射到bean中
 * 
 * @author huchengyi
 *
 */
public class JsonRender extends AbstractRender {
	
	private JsonFieldRender jsonFieldRender;
	
	public JsonRender(CustomFieldRenderFactory customFieldRenderFactory) {
		super(customFieldRenderFactory);
		this.jsonFieldRender = new JsonFieldRender();
	}

	@Override
	public void render(HttpRequest request, HttpResponse response,
			BeanMap beanMap, SpiderBean bean) {
		jsonFieldRender.render(request, response, beanMap, bean);
		
	}

}